package cn.fastfun.controller.api;

import cn.fastfun.service.SysService;
import cn.fastfun.service.entity.SysUser;
import cn.fastfun.service.entity.SysUserRole;
import com.bridge.dto.*;
import com.bridge.service.JpaService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Arrays;

/**
 * @author Bridge AutoGen
 */
@Api(tags = {"系统账号"})
@RestController
@RequestMapping("/api/v1/sysuser")
public class ApiSysUserController {
    //业务类
    @Resource(name = "sysUserService")
    JpaService<SysUser, String> sysUserService;

    //业务类
    @Resource(name = "sysUserRoleService")
    JpaService<SysUserRole, String> sysUserRoleService;


    @Resource
    SysService sysService;

    /**
     * 数据保存
     */
    @ApiOperation(value = "保存信息")
    @RequestMapping(value = "save", method = RequestMethod.POST)
    public ApiDTO save(@RequestBody @ApiParam(name = "系统账号对象", value = "传入json格式", required = true) SysUser entity) {
        if (!StringUtils.isEmpty(entity.getUserPass())) {
            if (null != entity) entity.setUserPass(DigestUtils.md5DigestAsHex(entity.getUserPass().getBytes()));
        }
        sysService.saveUserRole(entity);
        return ApiDTO.ok("保存成功");
    }

    @ApiOperation(value = "查询信息")
    @RequestMapping(value = "get", method = RequestMethod.POST)
    public ApiDTO get(@RequestBody @ApiParam(name = "系统账号id", required = true) IdParam param) {

        SysUser sysUser = sysUserService.get(param.getId());

        sysUser.setRoleIds(new ArrayList<>());
        sysUserRoleService.findAll(QueryParamExp.eq("userId", param.getId()))
                .forEach(p -> sysUser.getRoleIds().add(p.getRoleCode()));
        return ApiDTO.ok("查询成功！", sysUser);
    }

    @ApiOperation(value = "删除信息")
    @RequestMapping(value = "delete", method = RequestMethod.POST)
    public ApiDTO delete(@RequestBody @ApiParam(name = "系统账号id", required = true) IdParam param) {
        sysUserService.delete(Arrays.asList(param.getId().split(",")));
        return ApiDTO.ok("删除成功！");
    }

    @ApiOperation(value = "分页搜索")
    @RequestMapping(value = "pageQuery", method = RequestMethod.POST)
    public ApiPageDTO pageQuery(@RequestBody QueryParam param) {
        return new ApiPageDTO(null, sysUserService.findByParam(param));
    }

}