package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonIgnoreType;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Setter
@Getter
@NoArgsConstructor
public class BaseInfoDTO {

    // 设备编号
    private String sn;

    // 产品类别
    private String category;

    // 产品类型
    private String type;

    // 厂家
    private String factory;

    // 电芯
    private String cellFactory;

    // 电芯类型
    private String cellType;

    // 电压平台
    private String voltPlatform;

    // 容量
    private Integer capacity;

    // 生产时间
    private String productTime;

    // 发货时间
//    private String deliverTime;

    // 入库时间
//    private String storageTime;

    // 投营时间
    private String operationTime;

    // 首次租赁时间
//    private String firstRentTime;

    // 回调时间
//    private String recallTime;

    // 采购价格
    private BigDecimal price;

    // 业务状态
    private String status;

    // 投营地区
    private String region;

    // 已采购天数
    private Long purchaseDay;

    // 已投营天数
    private Long operationDay;

    @JsonIgnoreType
    @Data
    public static class TimeLine{
        // 时间
        private String time;

        // 动作
        private String title;

    }

    private List<TimeLine> timeLine = new ArrayList<>();




}
