package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreType;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Setter
@Getter
@NoArgsConstructor
public class RentInfoDTO {
    private static final long serialVersionUID = -1821068317406106793L;

    @JsonIgnoreType
    @Setter
    @Getter
    public static class AllInfo{
        // 时间
        private String time;

        // 类型
        private String type;

        // 金额
        private BigDecimal amount;

        // 关联订单
        private String order;

        // 说明
        private String description;
    }

    private List<AllInfo> allInfoList = new ArrayList<>();

    // 当前租期开始
    private String orderStartTime;

    // 当前租期结束
    private String orderEndTime;

    // 当前租金
    private BigDecimal rental;

    // 当前押金
    private BigDecimal cash;

    // 租金收入
    private BigDecimal income;

    // 押金收取
    private BigDecimal cashIn;

    // 丢失保障金
    private BigDecimal securityCash;

    // 净租金
    private BigDecimal netRental;



}
