package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Setter
@Getter
public class AssetPageQueryParam {



    @ApiModelProperty(value = "sn", name = "sn", required = true)
    private String sn;

    @ApiModelProperty(value = "起始时间", name = "timeStart", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timeStart;

    @ApiModelProperty(value = "结束时间", name = "timeEnd", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timeEnd;

    @ApiModelProperty(value = "table页编号(1:租赁信息", name = "table_order", required = true)
    private Integer tableOrder;

    @ApiModelProperty(value = "类型 需结合tableorder判断含义", name = "type", required = true)
    private String type;

    @ApiModelProperty(value = "分页index", name = "index", required = true)
    private Integer index;

    @ApiModelProperty(value = "分页length", name = "length", required = true)
    private Integer length;

}
