package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;

import com.bridge.dto.QueryParamExp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.util.StringUtils;

import java.util.Date;

@Setter
@Getter
public class DeviceBatchQueryParam extends QueryParam {

    @ApiModelProperty(value = "批次号", name = "batchNum", required = true)
    private String batchNum;

    @ApiModelProperty(value = "sn", name = "sn", required = true)
    public void setSn(String sn) {
        if (!StringUtils.isEmpty(sn))
            addParam(QueryParamExp.like("sn", "%".concat(sn).concat("%")));
    }

    @ApiModelProperty(value = "status", name = "status", required = true)
    public void setStatus(Integer status) {
        if (!StringUtils.isEmpty(status))
            addParam(QueryParamExp.eq("status", status));
    }

    @ApiModelProperty(value = "录入时间起始", name = "recordTimeStart", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date recordTimeStart;

    @ApiModelProperty(value = "录入时间结束", name = "recordTimeEnd", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date recordTimeEnd;

}
