package cn.fastfun.service;

import cn.fastfun.controller.param.*;
import cn.fastfun.service.entity.AppDevice;
import cn.fastfun.service.entity.AppDeviceLog;
import com.bridge.dto.ApiDTO;
import com.bridge.dto.QueryParamExp;
import com.bridge.service.JpaService;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.Map;

/**
 * 设备操作日志
 */
public interface AppDeviceLogService extends JpaService<AppDeviceLog, String> {

    /**
     * 入库动作
     *
     * @param param
     */
    void putInStorage(LibraryInFormParam param);

    /**
     * 设备自检

     */

    public Map<String, Boolean> selfCheck(String sn);

    /**
     * 设备划拨
     *
     * @param param
     */
    void transfer(TransferFormParam param);

    void transferBack(TransferFormParam  param);

    /**
     * 设备出库
     *
     * @param param
     */
    void outStorage(LibraryOutFormParam param);

    /**
     * 设备处置
     *
     * @param param
     */
    void handle(HandelFormParam param);

}
