package cn.fastfun.service;

import cn.fastfun.service.entity.SysExcelField;
import com.bridge.service.JpaService;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 服务类 Created by Bridge on 2017/3/14.
 */
public interface SysExcelFieldService extends JpaService<SysExcelField, String> {

    /**
     * 获得导入模板
     *
     * @param table 表名
     */
    HSSFWorkbook getTemplate(String table);

    /**
     * 导出数据
     *
     * @param table 表名
     * @param data  数据
     */
    HSSFWorkbook export(String table, List<Map<String, Object>> data);

    /**
     * Excel导入
     *
     * @param table 表名
     * @param file  导入文件
     */
    List<Map<String, Object>> importExcel(String table, MultipartFile file);

    /**
     * 输出Excel文件
     *
     * @param response 输出对象
     * @param name     文件名称
     * @param workbook Excel文件
     */
    void outExcelFile(HSSFWorkbook workbook, HttpServletResponse response, String name);
}